FreeBSD 11 (pfSense 2.4)

Important

We always recommend to use Web Safety on-premises as virtual appliance in VMware vSphere/ESXi or Microsoft Hyper-V and in the cloud as virtual machine in Microsoft Azure and Amazon AWS. Overall maintenance, support and new version upgrades will be much easier!

The following steps show how to install Squid proxy capable of HTTPS filtering and SSL inspection in FreeBSD 11. If you need to run Web Safety on pfSense 2.4 take a look at tutorial Filtering HTTPS with Squid on pfSense 2.4.

Support for FreeBSD 11 operating system is experimental only and it is not generally recommended for mission critical production environments. Please use this system in non critical deployments, labs and experiments only. For mission critical production deployments it is recommended to use Ubuntu 18 LTS x86_64.

Note

All scripts mentioned in this article can be downloaded from our GitHub repository. Just download it and run scripts in scripts.freebsd11 subfolder one-by-one as specified in the next steps.